## `fd-gulp-jsmin`任务是根据指定的书写规则来对js文件进行压缩，此插件使用的是`yuicompressor-2.4.7.jar`压缩工具包。

### 用法
```
jsMin(srcDir [,opt]);
```

### 例子
```
var gulp = require('gulp');
var jsMin = require('fd-gulp-jsmin');

gulp.task('jsMin', function() {
	gulp.src('D:/wwwroot/workspace/fd-gulp-jsconcat/test/style_test/**/*.js')
		.pipe(jsMin('D:/wwwroot/workspace/fd-gulp-jsmin/test/style_test'))
		.pipe(gulp.dest('./output'));
});

```

### 合并规则
* 默认不对代码进行压缩
* 开启压缩以及配置压缩的方式是在 js 的注释中写入相应的控制语句
* 开启压缩需要写入：!!cmd:compress=true
* (可选)把中文转成 unicode 的形式，写入: !!cmd:conv2unicode=true
* (可选)使用 yui compressor 的 js 压缩选项: !!cmd:jsCompressOpt=["$option"] $option 为 yui compressor 支持的三种压缩模式任意之一
* 如果只想使用 yui 的默认压缩，请不要写入 !!cmd:jsCompressOpt 这一项
* 只有开启了压缩，js 的压缩选项，中文转 unicode 这些配置才会生效
* 由于压缩比较耗时，所以不要对不会被页面直接引入的文件配置压缩，建议只对 merge 文件配置压缩

> js 压缩选项功能
> --nomunge
> Minify only. Do not obfuscate local symbols.

> --preserve-semi
> Preserve unnecessary semicolons (such as right before a '}') This option
> is useful when compressed code has to be run through JSLint (which is the
> case of YUI for example)

> --disable-optimizations
> Disable all the built-in micro optimizations.